> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uqpay.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a cardholder

> This endpoint create a cardholder. Cardholders are individuals with the ability to own cards. Creation of cardholders involves passing our KYC (Know-Your-Customer) process and so individuals are required to present contact details.

### Header

<ParamField header="x-client-id" type="string" required>
  `x-client-id`.
</ParamField>

<ParamField header="x-auth-token" type="string" required>
  Bearer `YOUR_TOKEN_HERE`.
</ParamField>

### Parameters

<ParamField body="email" type="string" required>
  Email of the cardholder.
</ParamField>

<ParamField body="first_name" type="string" required>
  First name of the cardholder.<br />
  `Maximum length 50`
</ParamField>

<ParamField body="last_name" type="string" required>
  Last name of the cardholder.<br />
  `Maximum length 50`
</ParamField>

<ParamField body="date_birth" type="string" required>
  Date birth of the cardholder.<br />
  `Format: YYYY-MM-DD`
</ParamField>

<ParamField body="phone_number" type="string" required>
  Phone number of the cardholder.<br />
  `Maximum length 50`
</ParamField>

<ParamField body="residential_address" type="string">
  Residential address of the cardholder.
</ParamField>

<ParamField body="delivery_address" type="string">
  Delivery address of the cardholder.
</ParamField>

<ParamField body="card_holder_status" type="number" required>
  Status of cardholder.<br />
  `-1=FAILED, 0-PENDING, 1-SUCCESS, 2-INCOMPLETE`
</ParamField>

### Response

<ResponseField name="code" type="number">
  Indicates whether the call was successful. 200 if successful, 400 if not.
</ResponseField>

<ResponseField name="message" type="string">
  Response Message. "Success" if successful, others not.
</ResponseField>

<ResponseField name="data" type="object">
  <Expandable title="details" defaultOpen>
    <ResponseField name="card_holder_id" type="string">
      The id of the cardholder for the card.
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL Example Request theme={null}
  curl 'https://api.sandbox.uqpay.org/api/v1/cardholders/create' \
  -H 'content-type: application/json' \
  -H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
  -H 'x-client-id: Up1HIsjiETPXLy7gON9PMG' \
  --data-raw '{"email":"demo@uqpay.com","phone_number":"373_486188426","first_name":"Emily","last_name":"Johnson","date_birth":"2023-07-12","card_holder_status":1,"residential_address":"uqpay"}'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "code": 200,
      "message": "Success",
      "data": {
      "card_holder_id": "8c1c03ac-c0fa-44d9-9606-38cb41776d32"
  }
  }
  ```
</ResponseExample>
